For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all recurring resident charges
        • GETGet recurring resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • POSTCreate Resident Charge: Rentvine
        • POSTCreate Resident Credit: Rentvine
        • POSTCreate Recurring Resident Charge: Rentvine
        • POSTCreate Resident Payment: Rentvine
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RentvineBilling and Payments

Create Resident Payment: Rentvine

POST
/v1/resident-payments/rentvine/
POST
/v1/resident-payments/rentvine/
$curl -X POST https://api.propexo.com/v1/resident-payments/rentvine/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
> "lease_id": "lease_1234567890abcdef",
> "financial_account_id": "finacct_0987654321fedcba",
> "resident_id": "resident_abcdef1234567890",
> "amount_in_cents": 125000,
> "payment_type": "ACH",
> "transaction_date": "2024-04-10T14:45:00Z",
> "send_email_receipt": true
>}'
1{
2 "meta": {
3 "job_id": "job_20240410144500_abc123xyz"
4 },
5 "result": {
6 "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
7 "lease_id": "lease_1234567890abcdef",
8 "financial_account_id": "finacct_0987654321fedcba",
9 "resident_id": "resident_abcdef1234567890",
10 "amount_in_cents": 125000,
11 "payment_type": "ACH",
12 "transaction_date": "2024-04-10T14:45:00Z",
13 "send_email_receipt": true,
14 "description": "April rent payment",
15 "reference_number": "REF20240410ACH001"
16 }
17}
Rentvine only allows primary residents to have payments assigned to them. This can be seen in the residents_meta_data or leases_meta_data API fields on their resident_type_normalized field. This field must be set to PRIMARY. | Method | Interface | |---|---| | POST /api/manager/accounting/leases/{leaseID}/payments | Accounting | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Get all employees

Next
Built with

Rentvine only allows primary residents to have payments assigned to them. This can be seen in the residents_meta_data or leases_meta_data API fields on their resident_type_normalized field. This field must be set to PRIMARY.

MethodInterface
POST /api/manager/accounting/leases/{leaseID}/paymentsAccounting
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
lease_idstringRequired
The Propexo unique identifier for the lease
financial_account_idstringRequired
The Propexo unique identifier for the financial account. This must be a bank account
resident_idstringRequired
The Propexo unique identifier for the resident. The resident must be a primary.
amount_in_centsintegerRequired
The amount of the resident payment, in cents
payment_typeenumRequired
The type of payment used for the resident payment
transaction_datestringRequired
The transaction date of the resident payment
send_email_receiptbooleanRequired
Indicates whether the payee would like to have a receipt emailed
descriptionstringOptional
Description of the resident payment
reference_numberstringOptional
The reference number for the resident payment

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error